// PoroMediaView.h : interface of the CPoroMediaView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_POROMEDIAVIEW_H__0DAC9DAB_D31C_4BE1_A62A_874981D920A9__INCLUDED_)
#define AFX_POROMEDIAVIEW_H__0DAC9DAB_D31C_4BE1_A62A_874981D920A9__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CPoroMediaView : public CFormView
{
protected: // create from serialization only
	CPoroMediaView();
	DECLARE_DYNCREATE(CPoroMediaView)

public:
	//{{AFX_DATA(CPoroMediaView)
	enum { IDD = IDD_POROMEDIA_FORM };
	CStatic	m_image;
	//}}AFX_DATA

// Attributes
public:
	bool is_bitmap_load;
	CBitmap m_bitmap;
	CBitmap m_blank_bitmap;
public:
	CPoroMediaDoc* GetDocument();

// Operations
public:
	void ShowInitBitmap();
	void ShowBitmap();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPoroMediaView)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	virtual void OnInitialUpdate(); // called first time after construct
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnPrint(CDC* pDC, CPrintInfo* pInfo);
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CPoroMediaView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CPoroMediaView)
	afx_msg void OnFileOpen();
	afx_msg void OnPaint();
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnContextMenu(CWnd* pWnd, CPoint point);
	afx_msg void OnPopupOpen();
	afx_msg void OnPopupExit();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in PoroMediaView.cpp
inline CPoroMediaDoc* CPoroMediaView::GetDocument()
   { return (CPoroMediaDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_POROMEDIAVIEW_H__0DAC9DAB_D31C_4BE1_A62A_874981D920A9__INCLUDED_)
