// PoroMedia.h : main header file for the POROMEDIA application
//

#if !defined(AFX_POROMEDIA_H__D1B11C28_9104_4894_92E6_4A4DCAF6AEB3__INCLUDED_)
#define AFX_POROMEDIA_H__D1B11C28_9104_4894_92E6_4A4DCAF6AEB3__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifndef __AFXWIN_H__
	#error include 'stdafx.h' before including this file for PCH
#endif

#include "..\..\resource.h"       // main symbols
#include "Log_IO.h"

#include "MainFrm.h"
#include "PoroMediaDoc.h"
#include "PoroMediaView.h"
#include "Splash.h"
#include "Windows.h"

//threads
#include "PorosityThread.h"
#include "TortThread.h"
#include "BoundaryThread.h"
#include "SphereThread.h"
#include "FiltersThread.h"
#include "MedialThread.h"
#include "ExtrasThread.h"
#include "RW_Thread.h"


/////////////////////////////////////////////////////////////////////////////
// CPoroMediaApp:
// See PoroMedia.cpp for the implementation of this class
//

class CPoroMediaApp : public CWinApp
{
public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	CPoroMediaApp();
	~CPoroMediaApp();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPoroMediaApp)
	public:
	virtual BOOL InitInstance();
	//}}AFX_VIRTUAL

// Implementation
	//{{AFX_MSG(CPoroMediaApp)
	afx_msg void OnAppAbout();
	afx_msg void OnAnalysis_SSA();
	afx_msg void OnAnalysis3ddata();
	afx_msg void OnAnalysisTortuosity();
	afx_msg void OnAnalysisRW();
	afx_msg void OnAnalysisBoundary();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	afx_msg void OnPreprocessingSamplefiltering();
	afx_msg void OnAnalysis3dSphereGrowth();
	afx_msg void OnAnalysis3dmedialaxis();
	afx_msg void OnPreprocessingExtras();
};


/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_POROMEDIA_H__D1B11C28_9104_4894_92E6_4A4DCAF6AEB3__INCLUDED_)
