// stdafx.h : include file for standard system include files,
//  or project specific include files that are used frequently, but
//      are changed infrequently
//

#if !defined(AFX_STDAFX_H__D0910118_6AB0_4EA7_AFFE_9F7967C6B649__INCLUDED_)
#define AFX_STDAFX_H__D0910118_6AB0_4EA7_AFFE_9F7967C6B649__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define VC_EXTRALEAN		// Exclude rarely-used stuff from Windows headers
#define _CRT_SECURE_NO_DEPRECATE 1

//define windows version (windows 2000+)
#undef  WINVER
#define WINVER 0x0501

/* these are current input limits */
#define		MAX_DIG_LIMIT		5
#define		MAX_NUM_LIMIT		65536
#define		MAX_NUM_LIMIT_STR	"65536"
#define		MAX_FILE_STR_LEN	512

#include <afxwin.h>         // MFC core and standard components
#include <afxext.h>         // MFC extensions
#include <afxdisp.h>        // MFC Automation classes
#include <afxdtctl.h>		// MFC support for Internet Explorer 4 Common Controls
#ifndef _AFX_NO_AFXCMN_SUPPORT
#include <afxcmn.h>			// MFC support for Windows Common Controls
#endif // _AFX_NO_AFXCMN_SUPPORT

//file types that work with poromedia

#include "Log_IO.h"

enum
{
	INPUT_IS_BMP = 0,
	INPUT_IS_RAW,
	INPUT_IS_RAW_STACK,
	INPUT_IS_BIN,
	INPUT_IS_BIN_STACK,
	INPUT_IS_CBIN,
	INPUT_IS_CBIN_STACK,
	INPUT_IS_UNKNOWN
};


// Useful Macros
#define FOR_wZwYwX_LOOP(ds_cube, z_var, y_var, x_var)	for (z_var = 0; z_var < (ds_cube)->wZ; z_var++)	\
														for (y_var = 0; y_var < (ds_cube)->wY; y_var++)	\
														for (x_var = 0; x_var < (ds_cube)->wX; x_var++)

#define FOR_wYwX_LOOP(ds_cube, y_var, x_var)			for (y_var = 0; y_var < (ds_cube)->wY; y_var++)	\
														for (x_var = 0; x_var < (ds_cube)->wX; x_var++)	

#define	isBitSet( variable, bit )	( variable & bit )
#define	isBitClr( variable, bit )	( !(variable & bit) )
#define	setBit( variable, bit )		( variable |= bit )
#define	clrBit( variable, bit )		( variable &= ~bit )

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STDAFX_H__D0910118_6AB0_4EA7_AFFE_9F7967C6B649__INCLUDED_)

using namespace std;
